<?php
// パーツ基本のテンプレート
$template = <<<END
<!--block_list_table:一覧表-->
<section class="block_list_table">
<!--{def item/title}-->
<h2>{val item/title}</h2>
<!--{/def}-->
<!--{def item/text}-->
<p class="markdown-body">{rval item/text}</p>
<!--{/def}-->
<dl class="list-line1-maru">
<!--{each item/row}-->
<dt>{val item/row/col/0}</dt>
<dd>{val item/row/col/1}</dd>
<!--{/each}-->
</dl>
</section>
END;

$block_list_table = array(					// ブロック定義
	"title" => "一覧表",			// ブロックの名称
	"name" => "block_list_table",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_list_table",
			"class" => "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"text" => array(
			"title" => "説明",
			"type" => "textarea",
		),
		"contents" => array(
			"title" => "内容",
			"type" => "textarea",
			"info" => "行が表の1列になります。「|」で区切ってください。",
		),
	),
	"func" => "func_block_list_table",						// 処理プログラム（指定がない物は標準処理）
);

// パーツの登録
block_add($block_list_table);

// パーツの設定
function func_block_list_table($def, $info)
{
	$ary1 = explode("\n", $info["contents"]);
	$list = array();
	foreach ($ary1 as $v) {
		$ary2 = explode("|", trim($v));
		$list[] = array("col" => $ary2);
	}
	$info["row"] = $list;
	return $info;
}
